<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:java="http://xml.apache.org/xslt/java"
extension-element-prefixes="java">

<xsl:include href="style.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">
<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">
<center>
<xsl:apply-templates select="response/collection"/>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>

<xsl:template match="collection">

<xsl:call-template name="collectionPageBanner">
<xsl:with-param name="collName"><xsl:value-of select="@name"/></xsl:with-param>
<xsl:with-param name="collIcon"><xsl:value-of select="metadataList/metadata[@name='iconCollection']"/></xsl:with-param>
</xsl:call-template>
<p/><xsl:apply-templates select="metadataList">
<xsl:with-param name="collName"><xsl:value-of select="@name"/></xsl:with-param>
</xsl:apply-templates>
<p/><xsl:apply-templates select="serviceList">
<xsl:with-param name="collName"><xsl:value-of select="@name"/></xsl:with-param>
</xsl:apply-templates>
</xsl:template>


<xsl:template match="metadataList">
<xsl:param name="collName">coll-name</xsl:param>
<h2>Collection description</h2>
<p/>
<table>
<xsl:for-each select="metadata">
<tr><td><xsl:value-of select="@name"/></td><td><xsl:value-of select="."/></td></tr>
</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="serviceList">
<xsl:param name="collName">coll-name</xsl:param>
<h2>Services available</h2>
<table>
<xsl:for-each select="service[@type='query']">
<xsl:variable name="serviceName"><xsl:value-of select="@name"/></xsl:variable>
<tr>
<xsl:if test="contains($serviceName, 'Query')">
<xsl:variable name="orig-type"><xsl:value-of select="substring-before($serviceName, 'Query')"/></xsl:variable>
<xsl:variable name="lower-type" select="java:org.greenstone.gsdl3.util.XSLTUtil.toLower($orig-type)"/>
<td><xsl:call-template name="text"><xsl:with-param name="key">common/search</xsl:with-param></xsl:call-template></td>
<td><a><xsl:attribute name="href">library?a=q&amp;sa=<xsl:value-of select="$lower-type"/>&amp;c=<xsl:value-of select="$collName"/></xsl:attribute><xsl:value-of select="substring-before($serviceName, 'Query')"/></a></td>
</xsl:if>
<xsl:if test="contains($serviceName, 'Browse')">
<xsl:variable name="orig-type"><xsl:value-of select="substring-before($serviceName, 'Browse')"/></xsl:variable>
<xsl:variable name="lower-type" select="java:org.greenstone.gsdl3.util.XSLTUtil.toLower($orig-type)"/>
<td><xsl:call-template name="text"><xsl:with-param name="key">common/browse</xsl:with-param></xsl:call-template></td>
<td><a><xsl:attribute name="href">library?a=b&amp;sa=<xsl:value-of select="$lower-type"/>&amp;c=<xsl:value-of select="$collName"/></xsl:attribute><xsl:value-of select="substring-before($serviceName, 'Browse')"/></a></td>
</xsl:if>
<xsl:if test="contains($serviceName, 'Applet')">
<xsl:variable name="orig-type"><xsl:value-of select="substring-before($serviceName, 'Applet')"/></xsl:variable>
<td><xsl:call-template name="text"><xsl:with-param name="key">common/applet</xsl:with-param></xsl:call-template></td>
<td><a><xsl:attribute name="href">library?a=a&amp;sa=d&amp;sn=<xsl:value-of select="$orig-type"/>&amp;c=<xsl:value-of select="$collName"/></xsl:attribute><xsl:value-of select="$orig-type"/></a></td>
</xsl:if>
</tr>

</xsl:for-each>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>


</xsl:stylesheet>  

